# Copyright (c) 2021 Project CHIP Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

name: 19.10.1. [TC-TGTNAV-8.1] Navigate Target Verification

PICS:
    - TGTNAV.S

config:
    nodeId: 0x12344321
    cluster: "Target Navigator"
    endpoint: 1
    targetvalue:
        type: int8u
        defaultValue: 1

tests:
    - label: "Wait for the commissioned device to be retrieved"
      cluster: "DelayCommands"
      command: "WaitForCommissionee"
      arguments:
          values:
              - name: "nodeId"
                value: nodeId

    - label: "Step 1a: TH reads the CurrentTarget attribute"
      PICS: TGTNAV.S.A0001
      command: "readAttribute"
      attribute: "CurrentTarget"
      response:
          constraints:
              type: int8u
              minValue: 0
              maxValue: 255

    - label: "Step 1b: TH reads the TargetList attribute"
      PICS: TGTNAV.S.A0000
      command: "readAttribute"
      attribute: "TargetList"
      response:
          saveAs: TargetListValues
          constraints:
              type: list

    - label: "Step 2a: TH Sends a NavigateTarget command"
      PICS: TGTNAV.S.C00.Rsp
      command: "NavigateTarget"
      arguments:
          values:
              - name: "Target"
                value: targetvalue

    - label: "Step 2b: TH reads the CurrentTarget attribute"
      PICS: TGTNAV.S.A0001 && TGTNAV.S.C00.Rsp
      command: "readAttribute"
      attribute: "CurrentTarget"
      response:
          value: targetvalue
